package org.springblade.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author: lianghanqiang
 * @description: 订单类型
 * @since: 7/29/21 -- 1:56 PM
 */
@AllArgsConstructor
@Getter
public enum OrderType {

	/* 用户付款 */
	USER_PAY("USER_PAY"),
	WECHAT_PAY("WECHAT_PAY"),
	AGENT_CHARGE("AGENT_CHARGE"),
	MALL_CHARGE("MALL_CHARGE"),
	/*商场充值*/
	MALL_RECHARGE("MALL_RECHARGE"),

	//	用户提现
	USER_WITHDRAW("USER_WITHDRAW"),
	/**
	 * 余额,积分交易
	 */
	MALL_SEND("mall_send"),
	SHOP_SEND("shop_send"),
	PAY_CONSUMER("pay_consumer"),

	/**
	 * 用户积分提现
	 */
	USER_POINT_TRANSFER_WITHDRAW("USER_POINT_TRANSFER_WITHDRAW"),
	USER_POINT_WITHDRAW("USER_POINT_WITHDRAW");

	String name;

}
